# Uses of Interface
javax.management.openmbean.CompositeData

Packages that use CompositeData
Package
Description
com.sun.management
This package contains JDK extensions to the standard implementation of the `java.lang.management` API and also defines the management interface for some other components of the platform.
java.lang.management
Provides the management interfaces for monitoring and management of the Java virtual machine and other components in the Java runtime.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.
jdk.management.jfr
This package contains classes to control and monitor Flight Recorder over Java Management Extensions (JMX).

## Uses of CompositeData in com.sun.management

Classes in com.sun.management that implement CompositeData
Modifier and Type
Class
Description
`class`
`GcInfo`
Garbage collection information.
Methods in com.sun.management that return CompositeData
Modifier and Type
Method
Description
`CompositeData`
GarbageCollectionNotificationInfo.`toCompositeData(CompositeType ct)`
`CompositeData`
GcInfo.`toCompositeData(CompositeType ct)`
Return the `CompositeData` representation of this `GcInfo`, including any GC-specific attributes.
Methods in com.sun.management with parameters of type CompositeData
Modifier and Type
Method
Description
`static GarbageCollectionNotificationInfo`
GarbageCollectionNotificationInfo.`from(CompositeData cd)`
Returns a `GarbageCollectionNotificationInfo` object represented by the given `CompositeData`.
`static GcInfo`
GcInfo.`from(CompositeData cd)`
Returns a `GcInfo` object represented by the given `CompositeData`.
`static VMOption`
VMOption.`from(CompositeData cd)`
Returns a `VMOption` object represented by the given `CompositeData`.

## Uses of CompositeData in java.lang.management

Methods in java.lang.management with parameters of type CompositeData
Modifier and Type
Method
Description
`static LockInfo`
LockInfo.`from(CompositeData cd)`
Returns a `LockInfo` object represented by the given `CompositeData`.
`static MemoryNotificationInfo`
MemoryNotificationInfo.`from(CompositeData cd)`
Returns a `MemoryNotificationInfo` object represented by the given `CompositeData`.
`static MemoryUsage`
MemoryUsage.`from(CompositeData cd)`
Returns a `MemoryUsage` object represented by the given `CompositeData`.
`static MonitorInfo`
MonitorInfo.`from(CompositeData cd)`
Returns a `MonitorInfo` object represented by the given `CompositeData`.
`static ThreadInfo`
ThreadInfo.`from(CompositeData cd)`
Returns a `ThreadInfo` object represented by the given `CompositeData`.

## Uses of CompositeData in javax.management.openmbean

Classes in javax.management.openmbean that implement CompositeData
Modifier and Type
Class
Description
`class`
`CompositeDataSupport`
The `CompositeDataSupport` class is the open data class which implements the `CompositeData` interface.
Subclasses with type arguments of type CompositeData in javax.management.openmbean
Modifier and Type
Class
Description
`class`
`CompositeType`
The `CompositeType` class is the open type class whose instances describe the types of `CompositeData` values.
Methods in javax.management.openmbean that return CompositeData
Modifier and Type
Method
Description
`CompositeData`
TabularData.`get(Object[] key)`
Returns the `CompositeData` value whose index is key, or `null` if there is no value mapping to key, in this `TabularData` instance.
`CompositeData`
TabularDataSupport.`get(Object[] key)`
Returns the `CompositeData` value whose index is key, or `null` if there is no value mapping to key, in this `TabularData` instance.
`CompositeData`
CompositeDataInvocationHandler.`getCompositeData()`
Return the `CompositeData` that was supplied to the constructor.
`CompositeData`
TabularData.`remove(Object[] key)`
Removes the `CompositeData` value whose index is key from this `TabularData` instance, and returns the removed value, or returns `null` if there is no value whose index is key.
`CompositeData`
TabularDataSupport.`remove(Object[] key)`
Removes the `CompositeData` value whose index is key from this `TabularData` instance, and returns the removed value, or returns `null` if there is no value whose index is key.
`CompositeData`
CompositeDataView.`toCompositeData(CompositeType ct)`
Return a `CompositeData` corresponding to the values in this object.
Methods in javax.management.openmbean with parameters of type CompositeData
Modifier and Type
Method
Description
`Object[]`
TabularData.`calculateIndex(CompositeData value)`
Calculates the index that would be used in this `TabularData` instance to refer to the specified composite data value parameter if it were added to this instance.
`Object[]`
TabularDataSupport.`calculateIndex(CompositeData value)`
Calculates the index that would be used in this `TabularData` instance to refer to the specified composite data value parameter if it were added to this instance.
`boolean`
TabularData.`containsValue(CompositeData value)`
Returns `true` if and only if this `TabularData` instance contains the specified `CompositeData` value.
`boolean`
TabularDataSupport.`containsValue(CompositeData value)`
Returns `true` if and only if this `TabularData` instance contains the specified `CompositeData` value.
`void`
TabularData.`put(CompositeData value)`
Adds value to this `TabularData` instance.
`void`
TabularDataSupport.`put(CompositeData value)`
`void`
TabularData.`putAll(CompositeData[] values)`
Add all the elements in values to this `TabularData` instance.
`void`
TabularDataSupport.`putAll(CompositeData[] values)`
Add all the elements in values to this `TabularData` instance.
Constructors in javax.management.openmbean with parameters of type CompositeData
Modifier
Constructor
Description
``
`CompositeDataInvocationHandler(CompositeData compositeData)`
Construct a handler backed by the given `CompositeData`.

## Uses of CompositeData in jdk.management.jfr

Methods in jdk.management.jfr with parameters of type CompositeData
Modifier and Type
Method
Description
`static ConfigurationInfo`
ConfigurationInfo.`from(CompositeData cd)`
Returns a `ConfigurationInfo` object represented by the specified `CompositeData`.
`static EventTypeInfo`
EventTypeInfo.`from(CompositeData cd)`
Returns an `EventType` represented by the specified `CompositeData`
`static RecordingInfo`
RecordingInfo.`from(CompositeData cd)`
Returns a `RecordingInfo` represented by the specified `CompositeData` object.
`static SettingDescriptorInfo`
SettingDescriptorInfo.`from(CompositeData cd)`
Returns an `SettingDescriptorInfo` represented by the specified `CompositeData`